<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" />

<xsl:template match="/">
<html>

<body>
<h1>Channel Set Display</h1>
<p>
Short Description: 
<xsl:value-of select="//Short_Description" />
</p>
<p>
Long Description: 
<xsl:value-of select="//Long_Description" />
</p>
<h2>AI Channels</h2>
<table>
<tr>
<th>Channel Name</th>
<th>Units</th>
<th>Description</th>
</tr>
<xsl:apply-templates select="//AI_Channel">
   <xsl:sort select="Channel_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>AO Channels</h2>
<table>
<tr>
<th>Channel Name</th>
<th>Units</th>
<th>Description</th>
</tr>
<xsl:apply-templates select="//AO_Channel">
   <xsl:sort select="Channel_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>DI Channels</h2>
<table>
<tr>
<th>Channel Name</th>
<th>Description</th>
</tr>
<xsl:apply-templates select="//DI_Channel">
   <xsl:sort select="Channel_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>DO Channels</h2>
<table>
<tr>
<th>Channel Name</th>
<th>Description</th>
</tr>
<xsl:apply-templates select="//DO_Channel">
   <xsl:sort select="Channel_Name" data-type="text" />
</xsl:apply-templates>
</table>
</body>
</html>
</xsl:template>

<xsl:template match="AI_Channel">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Units" />
</td>
<td>
<xsl:value-of select="Channel_Description" />
</td>
</tr>
</xsl:template>

<xsl:template match="AO_Channel">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Units" />
</td>
<td>
<xsl:value-of select="Channel_Description" />
</td>
</tr>
</xsl:template>

<xsl:template match="DI_Channel">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Channel_Description" />
</td>
</tr>
</xsl:template>

<xsl:template match="DO_Channel">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Channel_Description" />
</td>
</tr>
</xsl:template>

</xsl:stylesheet>
