<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes" />

<xsl:template match="/">
<html>
<head>
<title>Cyrius Wiring Report</title>
</head>

<body>
<h1>Cyrius Wiring Report</h1>
<h2>AI Channels</h2>
<table>
<tr>
<th>Logical Channel</th>
<th>Physical Channel</th>
</tr>
<xsl:apply-templates select="//AI_Channels">
   <xsl:sort select="Physical_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>AO Channels</h2>
<table>
<tr>
<th>Logical Channel</th>
<th>Physical Channel</th>
</tr>
<xsl:apply-templates select="//AO_Channels">
   <xsl:sort select="Physical_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>DI Channels</h2>
<table>
<tr>
<th>Logical Channel</th>
<th>Physical Channel</th>
</tr>
<xsl:apply-templates select="//DI_Channels">
   <xsl:sort select="Physical_Name" data-type="text" />
</xsl:apply-templates>
</table>
<h2>DO Channels</h2>
<table>
<tr>
<th>Logical Channel</th>
<th>Physical Channel</th>
</tr>
<xsl:apply-templates select="//DO_Channels">
   <xsl:sort select="Physical_Name" data-type="text" />
</xsl:apply-templates>
</table>
</body>
</html>
</xsl:template>

<xsl:template match="//AI_Channels">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Physical_Name" />
</td>
</tr>
</xsl:template>

<xsl:template match="//AO_Channels">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Physical_Name" />
</td>
</tr>
</xsl:template>

<xsl:template match="//DI_Channels">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Physical_Name" />
</td>
</tr>
</xsl:template>

<xsl:template match="//DO_Channels">
<tr>
<td>
<xsl:value-of select="Channel_Name" />
</td>
<td>
<xsl:value-of select="Physical_Name" />
</td>
</tr>
</xsl:template>

</xsl:stylesheet>
